<div class="vis-participant-grid" [style.width]="gridWidth + 'px'">
	<div class="kypo-viz-hurdling-trainee-tooltip"></div>
	<div class="displayed-indicator">
		{{ getDisplayedTrainees().length }} of <span>{{ visualizationData.trainees.length }} trainees</span> displayed

		<span><button class="trainee-selector" mat-button (click)="showAllTrainees()">Show all</button></span>
		<span><button class="trainee-selector" mat-button (click)="hideAllTrainees()">Hide all</button></span>

	</div>
	<mat-grid-list cols="{{ numberOfColumns }}" [rowHeight]="rowHeight">
		<mat-grid-tile class="participant-tile" *ngFor="let trainee of visualizationData.trainees">
			<ng-container>
				<div class="participant-tile-container" (mouseover)="over(trainee)"
				(mouseout)="out()">
					<div
					(click)="checkIfActive(trainee) ? toggleTrainee(trainee) : false"
					[ngClass]="{
   					    unselected: !checkIfSelected(trainee),
					    selected: checkIfSelected(trainee),
					    pointer: checkIfActive(trainee)
					}"
					class="trainee-container">
						<div class="trainee-avatar-container"
						    [matTooltip]="buildTraineeTooltip(trainee)"
							[ngClass]="{ 'not-active': !checkIfActive(trainee) }">
							<img class="participant-avatar" src="{{'data:image/jpg;base64,' + trainee.picture}}">
						</div>
						<div [matTooltip]="'no training data available'"
							*ngIf="!checkIfActive(trainee)"
							class="not-active-text overlap">
							N/A
						</div>
					</div>
					<div (click)="checkIfActive(trainee) ? toggleTrainee(trainee) : false"
						 class="participant-name"
						 [ngClass]="{ 'not-active': !checkIfActive(trainee), pointer: checkIfActive(trainee), 'unselected-name': !checkIfSelected(trainee)}">
						{{trainee.name}}
					</div>
					<div (click)="fadeCurrentWarnings(trainee)"
						 *ngIf="checkIfActive(trainee) && hasWarnings(trainee)"
						 class="warning"
						[ngClass]="{'faded': allCurrentWarningsFaded(trainee) }"
					    [matTooltipClass]="'trainee-selection-warning'"
					    [matTooltip]="buildWarningTooltip(trainee)">
						!
					</div>
				</div>
			</ng-container>
		</mat-grid-tile>

	</mat-grid-list>
</div>
